# TweakScale Companion :: Frameworks

Adds (up to date) TweakScale /L patches for Add'Ons that adds features to KSP itself.

## In a Hurry

* [Source](https://github.com/TweakScale/Companion_Frameworks)
	+ [Issue Tracker](https://github.com/TweakScale/Companion_Frameworks/issues)
* Documentation
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/192216-tweakscale-companion-program/)
	+ [Project's README](https://github.com/TweakScale/Companion_Frameworks/blob/master/README.md)
	+ [Install Instructions](https://github.com/TweakScale/Companion_Frameworks/blob/master/INSTALL.md)
	+ [Known Issues](./KNOWN_ISSUES/md)
	+ [Change Log](./CHANGE_LOG.md)
* Official Distribution Sites:
	+ [Source and Binaries](https://github.com/TweakScale/Companion_Frameworks) on GitHub.
	+ [Latest Release](https://github.com/TweakScale/Companion_Frameworks/releases)
		- [Binaries](https://github.com/TweakScale/Companion_Frameworks/Archive)


## Description

Adds (up to date) TweakScale /L patches for some KSP Enhancing Add'Ons that needs scaling with the parts.

Currently supports:

* Test Flight
* Cryo Tanks
* Space Dust
* System Heat
* Waterfall


## Installation

Detailed installation instructions are now on its own file (see the [In a Hurry](#in-a-hurry) section) and on the distribution file.

### License

* This work is **double licensed** as follows:
	+ [SKL 1.0](https://ksp.lisias.net/SKL-1_0.txt). See [here](./LICENSE.SKL-1_0)
		+ You are free to:
			- Use : unpack and use the material in any computer or device
			- Redistribute: redistribute the original package in any medium
		+ Under the following terms:
			- You agree to use the material only on (or to) KSP
			- You don't alter the package in any form or way (but you can embedded it)
			- You don't change the material in any way, and retain any copyright notices
			- You must explicitly state the author's Copyright, as well an Official Site for downloading the original and new versions 
	+ [GPL 2.0](https://www.gnu.org/licenses/gpl-2.0.txt). See [here](./LICENSE.GPL-2_0)
		+ You are free to:
			- Use : unpack and use the material in any computer or device
			- Redistribute : redistribute the original package in any medium
			- Adapt : Reuse, modify or incorporate source code into your works (and redistribute it!) 
		+ Under the following terms:
			- You retain any copyright notices
			- You recognise and respect any trademarks
			- You don't impersonate the authors, neither redistribute a derivative that could be misrepresented as theirs.
			- You credit the author and republish the copyright notices on your works where the work is used.
			- You relicense (and fully comply) your works using GPL 2.0
				- Please note that upgrading the license to GPLv3 **IS NOT ALLOWED** for this work, as the author **DID NOT** added the "or (at your option) any later version" on the license.
			- You don't mix your work with GPL incompatible works.
	+ If by some reason the GPL would be invalid for you, rest assured that you still retain the right to Use the Work under SKL 1.0.

You have the option to choose the licence that best suits you (when applicable).

See [NOTICE](./NOTICE) for further copyright and trademarks notices.


## UPSTREAM

There's no upstream, I'm (g)ROOT. :)

## References

* TweakScale /L ([LisiasT](https://forum.kerbalspaceprogram.com/index.php?/profile/187168-lisias/))
	+ [Homepage](http://ksp.lisias.net/add-ons/TweakScale) on L Aerospace
	+ [Reddit](https://www.reddit.com/r/TweakScale/)
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/179030-*/)
	+ [CurseForge](https://kerbal.curseforge.com/projects/tweakscale)
	+ [SpaceDock](https://spacedock.info/mod/127/TweakScale)
	+ [GitHub](https://github.com/TweakScale/TweakScale)
* Test Flight ([Agthorn](https://forum.kerbalspaceprogram.com/index.php?/profile/99662-agathorn/))
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/99043-122-testflight-v180-01-may-2017-bring-flight-testing-to-ksp/) 
	+ [Github](https://github.com/KSP-RO/TestFlight/releases)
* Cryo Tanks ([Nertea](https://forum.kerbalspaceprogram.com/index.php?/profile/83952-nertea/))
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/195042-*/)
	+ [GitHub](https://github.com/post-kerbin-mining-corporation/CryoTanks)
* Space Dust ([Nertea](https://forum.kerbalspaceprogram.com/index.php?/profile/83952-nertea/))
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/197723-*/)
	+ [GitHub](https://github.com/post-kerbin-mining-corporation/SpaceDust)
* System Heat ([Nertea](https://forum.kerbalspaceprogram.com/index.php?/profile/83952-nertea/))
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/193909-*/)
	+ [GitHub](https://github.com/post-kerbin-mining-corporation/SystemHeat)
* Waterfall ([Nertea](https://forum.kerbalspaceprogram.com/index.php?/profile/83952-nertea/))
	+ [Forum](https://forum.kerbalspaceprogram.com/index.php?/topic/196309-*)
	+ [GitHub](https://github.com/post-kerbin-mining-corporation/Waterfall)
